import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, AlertController, ToastController } from 'ionic-angular';

import { Http, Response} from '@angular/http';

import { AppService } from '../../service/appHttpService';

@IonicPage()
@Component({
  selector: 'page-reportDetail',
  templateUrl: 'reportDetail.html',
})
export class ReportDetailPage {

  items: object[] = [];
  itemsOfNotReport: object[] = [];
  itemsOfLeave: object[] = [];
  itemsOfNotLeave: object[] = [];
  title: string;
  type: number;

  constructor(public navCtrl: NavController,
    public navParams: NavParams,
    public alertCtrl: AlertController,
    public http: Http,
    public appService: AppService, public toast: ToastController) {

    this.title = this.navParams.get("title");
    let id = this.navParams.get("id");
    this.getUserAboutLeave(id);
    this.getUserAboutNotLeave(id);
    this.getUserAboutNotReport(id);
  }

  //获取处室下所有未报备人员
  getUserAboutNotReport(id) {
    this.appService.ObserverHttpPost("/wisdomgroup/modules/premanager/getUserAboutNotReport", { id: id })
      .subscribe((res: Response) => {
        let data = res.json();
        console.log(data);
        this.itemsOfNotReport = data;
        this.items = data;
        this.type = 1;
      }, error => {
        this.appService.alert('网络异常！');
      }
      );
  }

  //获取处室下所有离沪报备人员
  getUserAboutLeave(id) {
    this.appService.ObserverHttpPost("/wisdomgroup/modules/premanager/getUserAboutLeave", { id: id })
      .subscribe((res: Response) => {
        let data = res.json();
        console.log(data);
        this.itemsOfLeave = data;
      }, error => {
        this.appService.alert('网络异常！');
      }
      );
  }

  //获取处室下所有不离沪报备人员
  getUserAboutNotLeave(id) {
    this.appService.ObserverHttpPost("/wisdomgroup/modules/premanager/getUserAboutNotLeave", { id: id })
      .subscribe((res: Response) => {
        let data = res.json();
        console.log(data);
        this.itemsOfNotLeave = data;
      }, error => {
        this.appService.alert('网络异常！');
      }
      );
  }

  //切换
  change(type) {
    if (type == 1) {
      this.type=type;
      this.items = this.itemsOfNotReport;
    } else if (type == 2) {
      this.type=type;
      this.items = this.itemsOfLeave;
    } else if (type == 3) {
      this.type=type;
      this.items=this.itemsOfNotLeave;
    }
  }

}
